777

Невозможная задача для NX ?

79 сообщений в этой теме
В 27.11.2017 в 12:33, Blurp сказал:

5 баллов! :clap_1:

Осталось только плунжерно фрезернуть:happy:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


2 часа назад, NX_mill сказал:

Осталось только плунжерно фрезернуть:happy:

а чо! это идея!!!

@NX_mill сделаешь?

чес слово - элементарно можно сделать...

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 30.11.2017 в 10:36, NX_mill сказал:

Осталось только плунжерно фрезернуть:happy:

23 часа назад, Чингачгук сказал:

а чо! это идея!!!

@NX_mill сделаешь?

чес слово - элементарно можно сделать...

 

@NX_mill ну ты ЧО?! В самом деле??? ждал-ждал, хотел пирожком с той самой полочки  угостить, а то я уже ими обожрался...

 

смертельный номер!  

LtveF8U371.gif

Hide  
2 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, Чингачгук сказал:

ну ты ЧО?! В самом деле???

Красиво получилось) Я б с радостью, но NX не под рукой) Будет время - поизгаляюсь)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Нашёёл! Вот она - невыполнимая задача для NX.

 

kgQX0nvp6D.gif

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А проект можно?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 12.01.2018 в 14:22, lexincton сказал:

А проект можно?

зачем?

Вот лучше посмотрите на ещё одну невыполнимую задачу для NX !

ну не то что бы совсем невыполнимую, а невыполнимую по нормальному, по человечески...

 

L07VVmU711.gif

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, Чингачгук сказал:

зачем?

Доказать обратное

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, lexincton сказал:

Доказать обратное

Бесполезно. Этому челу не нужны никакие доказательства.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
16 часов назад, lexincton сказал:

Доказать обратное

ЗАЧЕМ? Я доказал ПРЯМОЕ - всё сделано по правилам, все параметры заданы корректно (поверхности выбраны, инструмент задан) расчёт запущен а результата нет. Не может NX рассчитать траекторию. Слабоват. Вон @vicebear ручку в stl сделать больше года не может и ничего, подумаешь - NX опять облажался, не в первый и не в последний раз. Продолжение следует...

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
12 минуты назад, Чингачгук сказал:

ЗАЧЕМ? Я доказал ПРЯМОЕ - всё сделано по правилам 

По чьим правилам?

12 минуты назад, Чингачгук сказал:

все параметры заданы корректно (поверхности выбраны, инструмент задан)

Вот это как раз не факт

14 часа назад, vicebear сказал:

Бесполезно. Этому челу не нужны никакие доказательства.

Начинаю в это верить

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
59 минут назад, lexincton сказал:

По чьим правилам?

по самым правильным!

1 час назад, lexincton сказал:

Вот это как раз не факт

честное благородное !

1 час назад, lexincton сказал:

Начинаю в это верить

мне верь !

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 минуты назад, Чингачгук сказал:

мне верь !

Пожалуй воздержусь, интересно где учат работать концевой фрезой без радиуса через гребешок

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, lexincton сказал:

Пожалуй воздержусь, интересно где учат работать концевой фрезой без радиуса через гребешок

НУ ТАК Я ЖЕ ГОВОРИЛ - ЭТО НЕВЫПОЛНИМАЯ ЗАДАЧА ДЛЯ NX !!!

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Непонятно, в чем проблема.

NX11

11.rar

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, Чингачгук сказал:

НУ ТАК Я ЖЕ ГОВОРИЛ - ЭТО НЕВЫПОЛНИМАЯ ЗАДАЧА ДЛЯ NX !!!

 

аналогично можно утвердить, что в NX нельзя сделать квадратный круг

10 минут назад, cepr сказал:

Непонятно, в чем проблема.

NX11

11.rar

Еще проще

Screenshot_4.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
4 минуты назад, lexincton сказал:

аналогично можно утвердить, что в NX нельзя сделать квадратный круг

Ну ты то сделаешь , мастер....

13 минуты назад, lexincton сказал:

Пожалуй воздержусь, интересно где учат работать концевой фрезой без радиуса через гребешок

самого ешо надо учить и учить , мастер блин...

 

oCwTa57J25.gif

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 минуты назад, Чингачгук сказал:

oCwTa57J25.gif

Оказывается невыполнимая задача оказалась вдруг выполнимой

3 минуты назад, Чингачгук сказал:

самого ешо надо учить и учить , мастер блин...

Куда мне

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
17 минут назад, cepr сказал:

Непонятно, в чем проблема.

NX11

@cepr ты тоже чтоль NX-у невыполнимую задачу поставил? у меня нету 11версии .

Только что, lexincton сказал:

Оказывается невыполнимая задача оказалась вдруг выполнимой

да,да,да - как всегда через ОДНО МЕСТО

 

то место  

h_1512131906_2579269_ba8471e64c.png

Hide  

 

2 минуты назад, lexincton сказал:

Куда мне

ты , если что - обращайся, научу.......

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, Чингачгук сказал:

ты , если что - обращайся, научу.......

Пожалуй воздержусь) про повышение стойкости инструмента и оптимизацию обработки слышали? тоже могу научить

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 минуту назад, lexincton сказал:

Пожалуй воздержусь)

да ты не стесняйся, смелее...

1 минуту назад, lexincton сказал:

про повышение стойкости инструмента и оптимизацию обработки слышали? тоже могу научить

какой неожиданный поворот, браво. Обычно ещё говорят что подобную обработку можно и другими стратегиями получить, и не обязательно все делать площадью поверхности. Ну это уже другая история....

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Чингачгук

Пустой разговор, по факту все, что было представлено невыполнимым оказалось выполнимым, проверяйте сначала хорошо перед своими утверждениями

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 минуты назад, lexincton сказал:

Пустой разговор, по факту все, что было представлено невыполнимым оказалось выполнимым, проверяйте сначала хорошо перед своими утверждениями

согласен с каждым словом , только существует огромная разница в понимании что есть "НЕВЫПОЛНИМОЕ" . между моим пониманием и вашим - пропасть.

я как утверждал что все показанные примеры невыполнимы в NX - так и считаю. Но их можно сделать методом через Ж...

Вы из той категории граждан которые готовы штаны через голову надевать . И это не есть оптимизм - это по другому называется.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
40 минут назад, Чингачгук сказал:

согласен с каждым словом , только существует огромная разница в понимании что есть "НЕВЫПОЛНИМОЕ" . между моим пониманием и вашим - пропасть.

я как утверждал что все показанные примеры невыполнимы в NX - так и считаю. Но их можно сделать методом через Ж...

Вы из той категории граждан которые готовы штаны через голову надевать . И это не есть оптимизм - это по другому называется.

 

Я из той категории граждан, которые выполняют стоящие задачи всеми доступными методами, а не ноющие по каждому поводу.

В представленных примерах вы сами создали себе проблемы и все это решается более чем элементарно

4 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, lexincton сказал:

Я из той категории граждан, которые выполняют стоящие задачи всеми доступными методами

вот именно - всеми доступными (а так же не доступными и даже запрещёнными) методами, вместо того что бы работал NX как настоящая САПР за него эту работу делаете вы. Метод должен быть один надёжный и истинный а не 1000 сомнительных из которых половина или сработают или не сработают.

Я и говорю поэтому что "существует огромная разница в понимании что есть "НЕВЫПОЛНИМОЕ" . между моим пониманием и вашим - пропасть."

2 часа назад, lexincton сказал:

а не ноющие по каждому поводу.

я не ною а угораю со смеха...

2 часа назад, lexincton сказал:

В представленных примерах вы сами создали себе проблемы и все это решается более чем элементарно

вот в том то и дело что не элементарно!!!

если бы элементарно то и повода у меня глумиться над NX не было. А то даже при ручном редактировании траектории ОН такие косяки выдает что диву даешься как разработчики вообще смогли такое нагородить. Чем они там думали. Каким местом. В общем ещё до того как я выйду на пенсию, NX превратится в самую отстойную программу . ОН  по моему с каждым годом всё дуреет и дуреет. Самые устаревшие операции (это по мнению самих разработчиков) на практике оказывались самыми и надёжными и удобными. А их потихонечку вырезают из новых релизов. Так что неровен час когда у вас просто не останется как вы там говорили - "всеми доступными методами".

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 минут назад, Чингачгук сказал:

Самые устаревшие операции (это по мнению самих разработчиков) на практике оказывались самыми и надёжными и удобными. А их потихонечку вырезают из новых релизов.

Я и смотрю как у вас на самых удобных ни черта не получается)

19 часов назад, vicebear сказал:

Бесполезно. Этому челу не нужны никакие доказательства.

Теперь я в этом окончательно убедился

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, lexincton сказал:

Теперь я в этом окончательно убедился

да кого вы слушаете, этот @vicebear уже более года никак дешёвую ручку сделать не может. Наверное тоже методы подходящие подыскивает.

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Чингачгук

Думаю, лучше закрыть тему, кто ничего не делает, тот не ошибается!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 минуту назад, lexincton сказал:

Думаю, лучше закрыть тему,

страусиная стратегия? ничего закрывать не надо, надо наоборот тему развивать. 

Да, к стати, а как вам тот пример с ручкой в STL? Что скажете - невыполнимая это задача для NX? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, Чингачгук сказал:

страусиная стратегия? ничего закрывать не надо, надо наоборот тему развивать. 

Да, к стати, а как вам тот пример с ручкой в STL? Что скажете - невыполнимая это задача для NX? 

Там и так вроде уже все обмусолено при беглом взгляде или нет?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 минут назад, lexincton сказал:

Там и так вроде уже все обмусолено при беглом взгляде или нет?

угу, некоторые эти ручки пачками делают, а некоторые такие как @vicebear и за целый год не осилили ни одной.

похоже @lexincton присоединяется к василисе. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
10 минут назад, Чингачгук сказал:

угу, некоторые эти ручки пачками делают, а некоторые такие как @vicebear и за целый год не осилили ни одной.

похоже @lexincton присоединяется к василисе. 

Этикету подучитесь, заодно и курсы по NX пройдите. Я в отличие от @Чингачгук глупые утверждения не выкладываю

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, Чингачгук сказал:

Самые устаревшие операции (это по мнению самих разработчиков) на практике оказывались самыми и надёжными и удобными. А их потихонечку вырезают из новых релизов.

Это и в EdgeCAM наблюдается. Надо ж что-то продавать! Шьют и перешивают, ошибки вылазят, их фиксят и новые плодят. А иначе за пару лет все-все давно готово было бы, и работало бы идеально, а ЧТО ПОТОМ ПРОДАВАТЬ???

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
35 минут назад, lexincton сказал:

Этикету подучитесь, заодно и курсы по NX пройдите.

@Чингачгук Поздравляю тебя с еще одним хейтером-советчиком педагогического уклона! :clap_1:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, Blurp сказал:

Поздравляю тебя с еще одним хейтером-советчиком педагогического уклона! :clap_1:

Многое я видать пропустил)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 часов назад, Blurp сказал:

@Чингачгук Поздравляю тебя с еще одним хейтером-советчиком педагогического уклона! :clap_1:

Кто-то ж должен вас, теоретиков, с небес на грешную землю опускать. :biggrin:

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
9 часов назад, vicebear сказал:

Кто-то ж должен вас, теоретиков......

те-о-ре-ти-ков !??? может не теоретиков а практиков - которые любую теорию в состоянии воплотить в конкретном деле.

хотя кому я это объясняю? @vicebear я давно понял твою (цензура) стратегию - ты, короче, ждёшь выхода 15-16 версии NX,  ты надеешься что там будет кнопка обработки STL в многоосях, и вот тогда ты, как  (цензуреще) ДАРТАНЬЯН (цензуреще) (цензуреще) на лихом коне, э-ге-гей. Да?

9 часов назад, vicebear сказал:

опускать. :biggrin:

Воо, ты у меня из ЭТОГО положения не выходишь, как встал в нагнутую позу так в ней и застыл.

 

15 часов назад, lexincton сказал:

Я в отличие от @Чингачгук глупые утверждения не выкладываю

а щас зачем выложил? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, Чингачгук сказал:

те-о-ре-ти-ков !??? может не теоретиков а практиков - которые любую теорию в состоянии воплотить в конкретном деле.

По этой теме вы теорию в нытье только воплощали

 

PS: ни одна CAM-система не дает на все замыслы пользователей заветных кнопок, либо совсем нельзя, либо приходится импровизировать, так что хаять конкретно NX как минимум неуместно,

который как раз в общем сравнении может намного больше других

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, lexincton сказал:

который как раз в общем сравнении может намного больше других

согласен, и добавлю - который в общем сравнении очень часто лажает по простым и не очень вопросам.

да вот же в соседней теме - очередная лажа, очередная невыполнимая задача

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом